Skip to main content
POST
/
vulnerabilities
/
deactivate
Deactivate vulnerability monitoring for a vulnerability
curl --request POST \
  --url https://api.vanta.com/v1/vulnerabilities/deactivate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "updates": [
    {
      "id": "<string>",
      "deactivateReason": "<string>",
      "shouldReactivateWhenFixable": true,
      "deactivateUntilDate": "2023-11-07T05:31:56Z"
    }
  ]
}
'
{
  "results": [
    {
      "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
      "status": "SUCCESS"
    },
    {
      "id": "OTHER_VULNERABILITY_ID",
      "status": "ERROR",
      "message": "Invalid Input"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
updates
object[]
required

List of vulnerabilities to deactivate

Required array length: 1 - 50 elements

Response

200 - application/json

Ok

results
object[]
required

List of results matching the length and order of the request